import { useSession } from "next-auth/react";
import {
  Alert,
  AlertIcon,
  Button,
  Container,
  Flex,
  Stack,
} from "@chakra-ui/react";
import Link from "next/link";
import LoadingScreen from "@/components/LoadingScreen";

export default function Auth({ children }: any) {
  const { status } = useSession();

  if (status === "loading") {
    return <LoadingScreen />;
  }

  if (status === "unauthenticated") {
    return (
      <Flex height="100vh" alignItems="center">
        <Container>
          <Stack direction="column">
            <Alert status="info">
              <AlertIcon />
              Nejsi přihlášen
            </Alert>
            <Stack direction="row">
              <Link href="/auth/sign-in">
                <Button colorScheme="blue">Přihlásit se</Button>
              </Link>
              <Link href="/">
                <Button>Zpět na domovskou obrazovku</Button>
              </Link>
            </Stack>
          </Stack>
        </Container>
      </Flex>
    );
  }

  return children;
}
