import { Project } from "@/types";
import { Tab } from "@chakra-ui/react";
import { Control, useWatch } from "react-hook-form";

type SceneTabProps = {
  control: Control<Project>;
  index: number;
};

const SceneTab = ({ control, index }: SceneTabProps) => {
  const data = useWatch({
    control,
    name: `scenes.${index}`,
  });

  return <Tab key={index}>{data.name}</Tab>;
};

export default SceneTab;
