import { useSession } from "next-auth/react";
import { useEffect, useState } from "react";

const useUser = () => {
  const { data: session, status } = useSession();

  const [isReader, setIsReader] = useState(false);
  const [isEditor, setIsEditor] = useState(false);
  const [isAdmin, setIsAdmin] = useState(false);
  const [role, setRole] = useState("reader");

  useEffect(() => {
    if (session) {
      session.user?.role! === "reader" && setIsReader(true);
      session.user?.role! === "editor" && setIsEditor(true);
      session.user?.role! === "admin" && setIsAdmin(true);
      setRole(session.user?.role);
    }
  }, [session]);

  return { isReader, isEditor, isAdmin, role };
};

export default useUser;
