import mongoose, { Schema } from "mongoose";
import { User as NextAuthUser } from "next-auth";

export interface User extends NextAuthUser {
  _id: string;
  firstName: string;
  lastName: string;
  email: string;
  avatar: string;
  createdAt: string | Date;
  password: string;
  role: "admin" | "editor" | "reader";
}

const userSchema = new Schema<User>({
  firstName: { type: String },
  lastName: { type: String },
  email: { type: String, required: true },
  createdAt: { type: Date },
  password: { type: String, required: true },
  role: { type: String, default: "reader" },
});

export default mongoose.models.User || mongoose.model<User>("User", userSchema);
