import dbConnect from "@/lib/mongooseClient";
import User from "@/models/User";
import hashPassword from "@/utils/hashPassword";
import type { NextApiRequest, NextApiResponse } from "next";

const handler = async (req: NextApiRequest, res: NextApiResponse) => {
  await dbConnect();
  const { firstName, lastName, email, password } = req.body;
  const hashedPassword = hashPassword(password);
  const data = await User.create({
    firstName,
    lastName,
    email,
    password: hashedPassword,
    role: "admin",
  });
  res.status(200).json(data);
};

export default handler;
