import dbConnect from "@/lib/mongooseClient";
import Project from "@/models/Project";
import type { NextApiRequest, NextApiResponse } from "next";

const handler = async (req: NextApiRequest, res: NextApiResponse) => {
  await dbConnect();

  switch (req.method) {
    case "GET":
      const project = await Project.findById(req.query.id);
      res.status(200).json(project);
      break;
    case "POST":
      await Project.findByIdAndUpdate(req.query.id, req.body);
      res.status(200).end();
      break;
    case "DELETE":
      await Project.findByIdAndDelete(req.query.id);
      res.status(200).end();
      break;
    default:
      break;
  }
};

export default handler;
