import dbConnect from "@/lib/mongooseClient";
import User from "@/models/User";
import type { NextApiRequest, NextApiResponse } from "next";

const handler = async (req: NextApiRequest, res: NextApiResponse) => {
  await dbConnect();
  if (req.method === "POST") {
    await User.findByIdAndUpdate(req.query.id, {
      role: req.body.role,
    });
    res.status(200).end();
  } else if (req.method === "DELETE") {
    await User.findByIdAndDelete(req.query.id);
    res.status(200).end();
  } else {
    const user = await User.findById(req.query.id);
    res.status(200).json(user);
  }
};

export default handler;
