import {
  Box,
  Button,
  Card,
  CardBody,
  CardHeader,
  Container,
  Flex,
  HStack,
  Heading,
  Text,
  Image,
  VStack,
  CardFooter,
  ButtonGroup,
  Alert,
  AlertIcon,
  Tag,
} from "@chakra-ui/react";
import Link from "next/link";
import { FaArrowRight } from "react-icons/fa";

const Index = () => {
  return (
    <Box bgColor="gray.50" h="100vh">
      <Flex
        direction="column"
        alignItems="stretch"
        justifyContent="space-between"
        height="100%"
      >
        <Box
          py={4}
          borderBottom={1}
          borderColor="gray.200"
          bgColor="gray.100"
          borderStyle="solid"
        >
          <Container maxWidth="container.xl" w="100%">
            <Flex justifyContent="space-between" alignItems="center">
              <HStack alignItems="center" justifyItems="center" spacing={8}>
                <Image src="logo.png" alt="" htmlWidth={256} />
                <Image src="vmix.png" alt="" htmlWidth={42} />
              </HStack>
              <Link href="/auth/sign-in">
                <Button
                  rightIcon={<FaArrowRight />}
                  colorScheme="blue"
                  variant="solid"
                >
                  Přihlásit se
                </Button>
              </Link>
            </Flex>
          </Container>
        </Box>
        <Box py={4}>
          <Container maxWidth="container.xl" w="100%">
            <VStack alignItems="stretch">
              <Alert status="warning">
                <AlertIcon />
                Tato webová aplikace je diplomovou prací a není určena pro ostrý
                provoz
              </Alert>
              <Card>
                <CardHeader>
                  <Heading size="md">Webová aplikace pro vMix</Heading>
                </CardHeader>
                <CardBody>
                  <Text>
                    Za PROESPORT.CZ stojí zkušený tým, který s každou akcí roste
                    a posouvá hranice kvality vysílání. Můžeme vysílat z
                    netradičních míst, a to i ve 4K rozlišení a do všech
                    sportovních televizí. Můžeme také vyrobit sestřihy a
                    sestříhané pořady pro offline vysílání. Natáčíme a vysíláme
                    televizní pořady, pořady, esportovní turnaje, prezentace a
                    prostě vše, na co si vzpomenete. Vysíláme ho v té nejlepší
                    kvalitě na jakoukoli sociální síť. Také hostujeme. Vytváříme
                    si vlastní turnaje, organizujeme je a pak to celé vysíláme.
                  </Text>
                </CardBody>
                <CardFooter>
                  <ButtonGroup spacing="2">
                    <Link href="/auth/sign-in">
                      <Button variant="solid" colorScheme="blue">
                        Přihlásit se
                      </Button>
                    </Link>
                    <Link href="/auth/sign-up">
                      <Button variant="ghost" colorScheme="blue">
                        Registrovat se
                      </Button>
                    </Link>
                  </ButtonGroup>
                </CardFooter>
              </Card>
              <Card>
                <Image src="screen.png" borderRadius="lg" alt="" />
              </Card>
            </VStack>
          </Container>
        </Box>
        <Box
          py={4}
          borderTop={1}
          borderColor="gray.200"
          bgColor="gray.100"
          borderStyle="solid"
        >
          <Container maxWidth="container.xl" w="100%">
            <HStack>
              <Text>Josef Malzer</Text>
              <Tag colorScheme="blue">{new Date().getFullYear()}</Tag>
            </HStack>
          </Container>
        </Box>
      </Flex>
    </Box>
  );
};

export default Index;
