import type { MongoClient } from "mongodb";
import { User } from "@/models/User";
import { ObjectId } from "mongoose";
import NextAuth, { DefaultSession, DefaultUser } from "next-auth";

declare global {
  declare var mongoose: { conn: null; promise: null };
  namespace globalThis {
    var _mongoClientPromise: Promise<MongoClient>;
  }
}

declare module "next-auth" {
  /**
   * Returned by `useSession`, `getSession` and received as a prop on the `SessionProvider` React Context
   */
  interface Session extends DefaultSession {
    user: DefaultUser &
      User & {
        _id: string & ObjectId;
      };
  }
}
