import { scryptSync } from "crypto";

/**
 * 
 * @param password Password to hash
 * @returns Hashed password
 */
const hashPassword = (password: string) => {
  const salt = process.env.PASSWORD_SALT!;
  const hashedPassword = scryptSync(password, salt, 32).toString("hex");
  return hashedPassword;
};

export default hashPassword;
